Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## lbg.peer.core.xms
Enum TaskRuntimeDataFactory

    java.lang.Object
      java.lang.Enum<TaskRuntimeDataFactory>
          lbg.peer.core.xms.TaskRuntimeDataFactory

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TaskRuntimeDataFactory>

    public enum TaskRuntimeDataFactory

extends java.lang.Enum<TaskRuntimeDataFactory>

Author:
  Cyril Briquet

Enum Constant Summary
`ConsumptionTaskRuntimeData`
`LocalTaskRuntimeData`
`SupplyingTaskRuntimeData`

Method Summary
`abstract TaskRuntimeData` | `createTaskRuntimeData(Task t, long time_out, ExternalPeerHandle peer_handle, java.lang.String supplier_id, boolean do_cancel)`
`static TaskRuntimeDataFactory` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TaskRuntimeDataFactory[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ConsumptionTaskRuntimeData

    public static final TaskRuntimeDataFactory ConsumptionTaskRuntimeData

### LocalTaskRuntimeData

    public static final TaskRuntimeDataFactory LocalTaskRuntimeData

### SupplyingTaskRuntimeData

    public static final TaskRuntimeDataFactory SupplyingTaskRuntimeData

Method Detail

### values

    public static final TaskRuntimeDataFactory[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(TaskRuntimeDataFactory c : TaskRuntimeDataFactory.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static TaskRuntimeDataFactory valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### createTaskRuntimeData

    public abstract TaskRuntimeData createTaskRuntimeData(Task t,
                                                          long time_out,
                                                          ExternalPeerHandle peer_handle,
                                                          java.lang.String supplier_id,
                                                          boolean do_cancel)
                                                   throws GridException

  Throws:
    `GridException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.